Bug 152238 - Packaging error when upgrading gconf-editor
Summary: Packaging error when upgrading gconf-editor
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gconf-editor (Show other bugs)
(Show other bugs)
Version: 4
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-26 17:21 UTC by Clyde E. Kunkel
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-28 01:31:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Clyde E. Kunkel 2005-03-26 17:21:23 UTC
+++ This bug was initially created as a clone of Bug #152237 +++
+++ This bug was initially created as a clone of Bug #152236 +++
+++ This bug was initially created as a clone of Bug #152235 +++
+++ This bug was initially created as a clone of Bug #152234 +++
+++ This bug was initially created as a clone of Bug #152233 +++
+++ This bug was initially created as a clone of Bug #152232 +++
+++ This bug was initially created as a clone of Bug #152231 +++
+++ This bug was initially created as a clone of Bug #152230 +++
+++ This bug was initially created as a clone of Bug #152229 +++
+++ This bug was initially created as a clone of Bug #152228 +++
+++ This bug was initially created as a clone of Bug #152227 +++
+++ This bug was initially created as a clone of Bug #152226 +++
+++ This bug was initially created as a clone of Bug #152225 +++
+++ This bug was initially created as a clone of Bug #152224 +++

From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050322
Fedora/1.7.6-2

Description of problem:
during yum upgrade, following error occurred:

  Updating  : gconf-editor                 ####################### [25/71]
/var/tmp/rpm-tmp.99488: line 3: [-x: command not found

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1. yum upgrade
2.
3.
  

Actual Results:  error as above


Expected Results:  no errors

Additional info:

Comment 1 Clyde E. Kunkel 2005-03-26 17:40:25 UTC
Subject should say: Packaging error when upgrading gconf-editor

Comment 2 Clyde E. Kunkel 2005-03-29 16:12:21 UTC
As of 3-29-05 rawhide, the error is now:
  Cleanup   : gconf-editor                 ####################### [86/87]
/var/tmp/rpm-tmp.513: line 2: [-x: command not found
Must set the GCONF_CONFIG_SOURCE environment variable
error: %postun(gconf-editor-2.10.0-2.i386) scriptlet failed, exit status 1


Comment 3 John Thacker 2005-04-27 13:23:05 UTC
This is actually still a problem, unlike the rest of these identical bugs.  The
package won't properly uninstall or be upgraded..  GCONF_CONFIG_SOURCE needs to
be set in the %postun script as well as in the %post script, but currently it's
only set in the %post script.

The error still occurs even with today's package from Rawhide (2.10-0-4):

Must set the GCONF_CONFIG_SOURCE environment variable
error: %postun(gconf-editor-2.10.0-4.i386) scriptlet failed, exit status 1


Comment 4 Jeremy Katz 2005-04-27 13:46:16 UTC
Fixed in -5


Note You need to log in before you can comment on or make changes to this bug.